Page MenuHomePhabricator

Perform user testing on new multilingual features at Hackathon
Closed, ResolvedPublicJun 30 2018

Description

Background

The Android team is introducing a slate of changes intended to improve the experience of using the app for those who are multilingual. The main change is the ability for users to set more than one language in the app which enables them to (a) more easily search across languages they speak, and (b) see more content in the Explore feed in multiple languages. This study aims to test the usability of these changes, as well as gauge multilingual users’ thoughts on expanded feed content.

Goals of the study

In order of priority:

  1. Identify usability improvements to core tasks of editing app languages, searching across languages, and customizing feed content.
  2. Gauge the user’s attitudes to the multilingual features being implemented.
  3. Measure the discoverability and understanding of the benefits of this feature.

Test format

Moderated testing with participants of the 2018 Wikimedia Hackathon in who match the target user requirements.

Participants

Ideally there will be at least 5 participants for the study, who match the follow criteria:

  • Uses an Android device
  • Multilingual
  • Existing Android Wikipedia app user?
    • If no, test with protocol 1
    • If yes, test with protocol 2

Findings

https://docs.google.com/presentation/d/1nogW7eA18XjGqbi_V3AQg7CKNARwvFU80k5VKe0T-PM/edit#slide=id.g320dbfd857_0_921

Details

Due Date
Jun 30 2018, 4:00 PM

Event Timeline

RHo created this task.Apr 24 2018, 10:58 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 24 2018, 10:58 AM
RHo updated the task description. (Show Details)May 19 2018, 7:32 AM
Dbrant closed this task as Resolved.Jun 27 2018, 8:14 PM
Dbrant claimed this task.
Vvjjkkii renamed this task from Perform user testing on new multilingual features at Hackathon to 8ceaaaaaaa.Jul 1 2018, 1:14 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Dbrant as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii removed Due Date.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii edited subscribers, added: Dbrant; removed: Aklapper.
Wong128hk renamed this task from 8ceaaaaaaa to Perform user testing on new multilingual features at Hackathon.Jul 1 2018, 6:18 AM
Wong128hk closed this task as Resolved.
Wong128hk raised the priority of this task from High to Needs Triage.
Wong128hk set Due Date to Jun 30 2018, 4:00 PM.
Wong128hk updated the task description. (Show Details)
Wong128hk edited subscribers, added: Aklapper; removed: Dbrant.